hep.aida.ref

## Class Converter

- java.lang.Object
- - hep.aida.ref.Converter

-     public class Converter
      extends java.lang.Object

  Histogram conversions, for example to String and XML format; This class requires the Colt distribution, whereas the rest of the package is entirelly stand-alone.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Converter()` Creates a new histogram converter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `edges(IAxis axis)` Returns all edges of the given axis.
    `java.lang.String` | `toString(IAxis axis)` Returns a string representation of the given argument.
    `java.lang.String` | `toString(IHistogram1D h)` Returns a string representation of the given argument.
    `java.lang.String` | `toString(IHistogram2D h)` Returns a string representation of the given argument.
    `java.lang.String` | `toString(IHistogram3D h)` Returns a string representation of the given argument.
    `java.lang.String` | `toXML(IHistogram1D h)` Returns a XML representation of the given argument.
    `java.lang.String` | `toXML(IHistogram2D h)` Returns a XML representation of the given argument.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Converter

          public Converter()

      Creates a new histogram converter.

  - ### Method Detail

    - #### edges

          public double[] edges(IAxis axis)

      Returns all edges of the given axis.

    - #### toString

          public java.lang.String toString(IAxis axis)

      Returns a string representation of the given argument.

    - #### toString

          public java.lang.String toString(IHistogram1D h)

      Returns a string representation of the given argument.

    - #### toString

          public java.lang.String toString(IHistogram2D h)

      Returns a string representation of the given argument.

    - #### toString

          public java.lang.String toString(IHistogram3D h)

      Returns a string representation of the given argument.

    - #### toXML

          public java.lang.String toXML(IHistogram1D h)

      Returns a XML representation of the given argument.

    - #### toXML

          public java.lang.String toXML(IHistogram2D h)

      Returns a XML representation of the given argument.

Jump to the Colt Homepage